import re
import string
from collections import Counter

# you will need to import plotting libraries

# Read in Volume 13 of the 1911 Encyclopaeida Brittanica
vol13 = open('VOL13_HARMONY-HURSTMONCEAUX_djvu.txt', 'r')
vol13_text = vol13.read().lower()
# Regex expression to find real words in text file
vol13_matches = re.findall(r'\b[a-z]{3,18}\b', vol13_text)
 
count13 = Counter(vol13_matches) 
  
# Finding 10 highest values, stored in dictionary "high"
high13 = dict(count13.most_common(10))
 
print("Volume 13")
for key in high13:
	print(key, ':', high13[key])

# Plot the 15 highest occurring words in the three encyclopaedia volumes.
# You will need to change the code above to give you the highest 15 
# words instead of 10.

# Hints: 
# -Use the len() and range() functions to get the length of each
#	 "highXX" dictionary and pass it to plt.bar() <https://matplotlib.org/3.1.3/api/_as_gen/matplotlib.pyplot.bar.html>
# -Use .values() and .keys() functions to get the values (frequencies)
#	and the keys (words)
# -Be sure to cast the keys and values to list() type
# -Use the .xticks function to label the x-axis of your graph 
# -Try changing the color of your bar graphs to an xkcd survey color <https://xkcd.com/color/rgb/>

plt.figure(1)

# Put your plt.bar() and plt.xticks() code here

plt.show()